> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/table-tennis/live-data-scenarios/pre-match.md).

# 01. Pre-Match

This section will describe the packets that are received upon the start of the match. At the start of every table tennis match, the same packets should be received in the same order.

## Overview

The following packets are expected at the beginning of every match.

1. Players Confirmed
2. In Progress

## 1. Players Confirmed

**Event Element Type:** Match Status Update

The first packet that is received is the 'Players Confirmed' packet. This indicates that players are at the table and are preparing for the match.

```
{
    "eventElementType": "MatchStatusUpdate",
    "id": 999991,
    "seqNum": 1,
    "matchStatus": {
        "matchState": {
            "state": "PlayersConfirmed",
            "isExpedited": false
        },
        "teamAPlayer1": "HARIMOTO Tomokazu",
        "teamBPlayer1": "OVTCHAROV Dimitrij",
        "table": "Table 1",
        "teamAPlayersDetails": {
            "player1Id": 23,
            "player1Gender": "M",
            "player1Organisation": "JPN"
        },
        "teamBPlayersDetails": {
            "player1Id": 47,
            "player1Gender": "M",
            "player1Organisation": "GER"
        }
    },
    "timestamp": "2021-07-13T13:38:22.867Z"
}
```

## 2. In Progress

**Event Element Type:** Match Status Update

The next packet, 'In Progress', will indicate that the match has started.

```
{
    "eventElementType": "MatchStatusUpdate",
    "id": 999991,
    "seqNum": 2,
    "matchStatus": {
        "matchState": {
            "state": "InProgress",
            "isExpedited": false
        },
        "teamAPlayer1": "HARIMOTO Tomokazu",
        "teamBPlayer1": "OVTCHAROV Dimitrij",
        "table": "Table 1",
        "firstServer": "TeamA",
        "teamAPlayersDetails": {
            "player1Id": 23,
            "player1Gender": "M",
            "player1Organisation": "JPN"
        },
        "teamBPlayersDetails": {
            "player1Id": 47,
            "player1Gender": "M",
            "player1Organisation": "GER"
        }
    },
    "timestamp": "2021-07-13T13:40:28.808Z"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/table-tennis/live-data-scenarios/pre-match.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
